Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025515
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2014-01-20 12:562015-01-30 11:21
ReporterjecharriView Statuspublic 
Assigned Toguilleaer 
PriorityimmediateResolutionfixedFixed in VersionRMP31
StatusclosedFix in branchFixed in SCM revision891113aa47c2
ProjectionnoneETAnoneTarget VersionRMP30
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionRMP30SCM revision 
Review Assigned Tomalsasua
Regression levelProduction - QA Approved
Regression date2014-12-20
Regression introduced in release
Regression introduced by commithttps://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/e10c7f2f7aef298c623c5b59d349725f1eab2443 [^]
Triggers an Emergency PackYes
Summary

0025515: Receipts not being created in ERP

DescriptionReceipts not being created in ERP
Steps To Reproduce-Log in Web POS
-Add a product to the ticket
-Remove the line
-Add a new product and complete the ticket

That ticket will never be synchronized with the ERP
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0063544)
hgbot (developer)
2014-01-20 17:43

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 3767c10f05bd3789b8ab56f8c2af1c2d0b2fdb2a
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Mon Jan 20 17:42:23 2014 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/3767c10f05bd3789b8ab56f8c2af1c2d0b2fdb2a [^]

fixed issue 25515: orders are synchronized even if at some point the order has been empty

---
M web/org.openbravo.retail.posterminal/js/closecash/model/cashup-model.js
M web/org.openbravo.retail.posterminal/js/pointofsale/model/pointofsale-model.js
---
(0063549)
malsasua (developer)
2014-01-20 18:58

verified
(0063599)
hgbot (developer)
2014-01-22 12:10

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 891113aa47c21df5e5e70311ea43f2453eb8f95a
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Mon Jan 20 17:42:23 2014 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/891113aa47c21df5e5e70311ea43f2453eb8f95a [^]

fixed issue 25515: orders are synchronized even if at some point the order has been empty

---
M web/org.openbravo.retail.posterminal/js/closecash/model/cashup-model.js
M web/org.openbravo.retail.posterminal/js/pointofsale/model/pointofsale-model.js
---
(0063601)
priyam (administrator)
2014-01-22 12:11

closing as status updated by RMP30.1 merge
(0063955)
hgbot (developer)
2014-02-06 13:18

Repository: erp/pmods/org.openbravo.retail.posterminal.cirque
Changeset: 3767c10f05bd3789b8ab56f8c2af1c2d0b2fdb2a
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Mon Jan 20 17:42:23 2014 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/3767c10f05bd3789b8ab56f8c2af1c2d0b2fdb2a [^]

fixed issue 25515: orders are synchronized even if at some point the order has been empty

---
M web/org.openbravo.retail.posterminal/js/closecash/model/cashup-model.js
M web/org.openbravo.retail.posterminal/js/pointofsale/model/pointofsale-model.js
---
(0063961)
hgbot (developer)
2014-02-06 13:19

Repository: erp/pmods/org.openbravo.retail.posterminal.cirque
Changeset: 891113aa47c21df5e5e70311ea43f2453eb8f95a
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Mon Jan 20 17:42:23 2014 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/891113aa47c21df5e5e70311ea43f2453eb8f95a [^]

fixed issue 25515: orders are synchronized even if at some point the order has been empty

---
M web/org.openbravo.retail.posterminal/js/closecash/model/cashup-model.js
M web/org.openbravo.retail.posterminal/js/pointofsale/model/pointofsale-model.js
---
(0063992)
guilleaer (developer)
2014-02-06 15:22

reclosing issues
(0073936)
hgbot (developer)
2015-01-30 11:21

Repository: tools/automation/pi-mobile
Changeset: 6de21bb73be6ed0eea2bba8561104d32af810576
Author: Rafa Alonso <rafael.alonso <at> openbravo.com>
Date: Thu Jan 29 19:12:05 2015 +0100
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/6de21bb73be6ed0eea2bba8561104d32af810576 [^]

Related to issue 25515: Added test 'I25515_ReceiptAfterRemovedLineFailsToBeSaved'

---
M src-test/org/openbravo/test/mobile/retail/pack/selenium/suites/SalesSuite.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/sales/I25515_ReceiptAfterRemovedLineFailsToBeSaved.java
---

- Issue History
Date Modified Username Field Change
2014-01-20 12:56 jecharri New Issue
2014-01-20 12:56 jecharri Assigned To => guilleaer
2014-01-20 12:56 jecharri Resolution time => 1390345200
2014-01-20 12:56 jecharri Triggers an Emergency Pack => No
2014-01-20 13:00 jecharri Regression level => Production - QA Approved
2014-01-20 13:00 jecharri Regression date => 2014-12-20
2014-01-20 13:00 jecharri Regression introduced by commit => https://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/e10c7f2f7aef298c623c5b59d349725f1eab2443 [^]
2014-01-20 13:00 jecharri Triggers an Emergency Pack No => Yes
2014-01-20 17:43 hgbot Checkin
2014-01-20 17:43 hgbot Note Added: 0063544
2014-01-20 17:43 hgbot Status new => resolved
2014-01-20 17:43 hgbot Resolution open => fixed
2014-01-20 17:43 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/3767c10f05bd3789b8ab56f8c2af1c2d0b2fdb2a [^]
2014-01-20 18:58 malsasua Review Assigned To => malsasua
2014-01-20 18:58 malsasua Note Added: 0063549
2014-01-20 18:58 malsasua Status resolved => closed
2014-01-20 18:58 malsasua Fixed in Version => RMP31
2014-01-22 12:10 hgbot Checkin
2014-01-22 12:10 hgbot Note Added: 0063599
2014-01-22 12:10 hgbot Status closed => resolved
2014-01-22 12:10 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/3767c10f05bd3789b8ab56f8c2af1c2d0b2fdb2a [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/891113aa47c21df5e5e70311ea43f2453eb8f95a [^]
2014-01-22 12:11 priyam Note Added: 0063601
2014-01-22 12:11 priyam Status resolved => closed
2014-02-06 13:18 hgbot Checkin
2014-02-06 13:18 hgbot Note Added: 0063955
2014-02-06 13:18 hgbot Status closed => resolved
2014-02-06 13:18 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/891113aa47c21df5e5e70311ea43f2453eb8f95a [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/3767c10f05bd3789b8ab56f8c2af1c2d0b2fdb2a [^]
2014-02-06 13:19 hgbot Checkin
2014-02-06 13:19 hgbot Note Added: 0063961
2014-02-06 13:19 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/3767c10f05bd3789b8ab56f8c2af1c2d0b2fdb2a [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/891113aa47c21df5e5e70311ea43f2453eb8f95a [^]
2014-02-06 15:22 guilleaer Note Added: 0063992
2014-02-06 15:22 guilleaer Status resolved => closed
2015-01-30 11:21 hgbot Checkin
2015-01-30 11:21 hgbot Note Added: 0073936


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker